1
1

Hi, I'm searching to update my App to the last PhoneGap Build version (3.6.3) but I always receive an error for iOS package: "Oh geez. Your build failed. Sorry, but a problem occurred on the build server"

If I delete Pushwoosh plugin, the error goes away... issue only with the last version, with 3.5.0 works good.

Any ideas to resolve this issue? Thanks

asked 03 Oct '14, 05:46
izbuh's gravatar image

izbuh
5915

12next »

The new Pushwoosh plugin is available (3.4.1) Has lost the support for wp8 (only CLI) but now is compatible with the last version of PGB (3.6.3).

permanent link
answered 19 Nov '14, 12:28
izbuh's gravatar image

izbuh
5915

edited 19 Nov '14, 12:29

Today I contacted Pushwoosh and got this reply.

Looks like they are aware of the issue and have sent a fix to PhoneGap - its now down to PhoneGap to test and release the update:


Hello Mark,

Thank you for contacting us!

Indeed, we had an issue with PhoneGap Build due to which we had to temporarily cease the support for PhoneGap Build. As you may see from this thread:

http://community.phonegap.com/nitobi/topics/malformed_xml_in_plugin_xml_file?utm_source=notification&utm_medium=email&utm_campaign=new_reply&utm_content=reply_button&reply[id]=14224918#reply_14224918

PhoneGap Build rejects plugins which include pre-compiled libraries. As you may know since several months our SDKs are closed and / or using third party libraries, which prevented us from submitting new plugin versions to PhoneGap Build. Current version of PhoneGap Build plugin was confirmed to be working properly only on PhoneGap version 3.3, but we cannot guarantee the performance on the higher versions. Therefore, for the last few weeks we were suggesting to use PhoneGap CLI, which is always kept up to date.

However, after spending a lot of time our developers were able to overcome this issue and submit new plugin version. Currently it is on the review stage and hopefully should arrive later this week, although no one can guarantee the PhoneGap Build team will work quick. Our previous experience suggests rather opposite situation.

Please follow our blog and twitter for updates regarding the new PhoneGap Build plugin to be released.

Additionally, I will personally inform you once the plugin is live.

permanent link
answered 17 Nov '14, 18:13
Mark%20Latham's gravatar image

Mark Latham
2115

I saw the new version had been released 3.4.1 - I tested with phonegap build 3.6.3 and its working in iOS ;-)

permanent link
answered 19 Nov '14, 12:30
Mark%20Latham's gravatar image

Mark Latham
2115

Hello. I have the same problem. Pushwoosh installs ok through CLI, but won't compile. Makes a lot of errors. I looks like that the plugin has to be updated. Please help...

permanent link
answered 06 Oct '14, 06:01
klante's gravatar image

klante
1

Where is Pushwoosh tech assistance?

permanent link
answered 07 Oct '14, 09:01
izbuh's gravatar image

izbuh
5915

same issue. it's looks like every times they release a new version of PhoneGap, Pushwoosh have to fix something. There is the discussion linked below that mention the same issue, if i'm not wrong. http://community.phonegap.com/nitobi/topics/phonegap_build_error_with_pushwoosh_plugin

And most important a past discussion on this community website: https://github.com/Pushwoosh/pushwoosh-phonegap-3.0-plugin/issues/3

If you want talk with someone of Pushwoosh, better open directly a ticket with them. Crossed fingers :))

permanent link
answered 16 Oct '14, 14:14
xdemocle's gravatar image

xdemocle
112

No news from Pushwoosh from three weeks about compatibility with last version of PGB... a payment account and nothing support, great!!!

permanent link
answered 23 Oct '14, 15:53
izbuh's gravatar image

izbuh
5915

News about PGB 3.6.3 compatibility?

permanent link
answered 06 Nov '14, 19:11
izbuh's gravatar image

izbuh
5915

Seems to work great for me, hasn't stopped working.

permanent link
answered 07 Nov '14, 16:08
vespino's gravatar image

vespino
113

No, not works on PGB 3.6.3

Probably you're using PG CLI not Build.

permanent link
answered 07 Nov '14, 16:34
izbuh's gravatar image

izbuh
5915

Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×165
×91
×25

question asked: 03 Oct '14, 05:46

question was seen: 4,795 times

last updated: 19 Nov '14, 12:30